Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007502opensim[GRID] Other Servicepublic2015-03-15 19:262015-03-16 18:19
Reportersmxy 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007502: Enabling BasicHttpAuthentication causes errors from the Bakes service.
DescriptionAfter configuring BasicHttpAuthentication, I see an error (example shown in "Additional Information") four times, per login (my public and private ports are 8012 and 8103, respectively).

This is happening for all avatars - both local grid residents and hypergrid vistors, so I'm seeing a ton of spew.
Steps To ReproduceConfigure BasicHttpAuthentication; observe.
Additional Information22:16:56 - [REST CLIENT]: Error fetching resource from server: http://sanctuary.homelinux.org:8013/bakes/6d989e4b-53ed-4217-98a8-4626a6d5cbda [^] System.Net.WebException: The remote server returned an error: (401) Unauthorized.
  at System.Net.HttpWebRequest.CheckFinalStatus (System.Net.WebAsyncResult result) [0x0033b] in /root/inst/mono-3.12.1/mono-3.12.1/mcs/class/System/System.Net/HttpWebRequest.cs:1718
  at System.Net.HttpWebRequest.SetResponseData (System.Net.WebConnectionData data) [0x00165] in /root/inst/mono-3.12.1/mono-3.12.1/mcs/class/System/System.Net/HttpWebRequest.cs:1485

Followed by a line like this:

22:35:28 - [REST]: Request POST http://sanctuary.homelinux.org:8013/bakes/0b79db26-20d0-4c55-b4fb-df6a02c4aaef [^] failed with status ProtocolError and message The remote server returned an error: (401) Unauthorized.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
ViewerN/A
Attached Files

- Relationships

-  Notes
(0027871)
justincc (administrator)
2015-03-16 16:54

Unfortunately, this is a regression from the recent security change (3255335, Wed Mar 4 2015) where the XBakesModule uses different code from all (?) the other connectors. Addressed by git master eda09d8.
(0027873)
smxy (reporter)
2015-03-16 18:19

The bakes service works without errors again. Thanks.

- Issue History
Date Modified Username Field Change
2015-03-15 19:26 smxy New Issue
2015-03-15 19:27 smxy Summary Enabling BasicHttpAuthentication cases errors from the Bakes service. => Enabling BasicHttpAuthentication causes errors from the Bakes service.
2015-03-15 19:46 smxy Description Updated View Revisions
2015-03-15 19:46 smxy Additional Information Updated View Revisions
2015-03-16 16:54 justincc Note Added: 0027871
2015-03-16 16:54 justincc Status new => resolved
2015-03-16 16:54 justincc Resolution open => fixed
2015-03-16 16:54 justincc Assigned To => justincc
2015-03-16 18:19 smxy Note Added: 0027873
2015-03-16 18:19 smxy Status resolved => closed
2015-03-16 18:19 smxy Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker